Debian Bug report logs - #636605
Please add multiarch support to libsdl

version graph

Package: libsdl1.2debian; Maintainer for libsdl1.2debian is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>; Source for libsdl1.2debian is src:libsdl1.2.

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Thu, 4 Aug 2011 14:30:01 UTC

Severity: wishlist

Tags: patch

Found in version libsdl1.2/1.2.14-6.4

Fixed in version libsdl1.2/1.2.14-7

Done: Felix Geyer <debfx-pkg@fobos.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Thu, 04 Aug 2011 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Thu, 04 Aug 2011 14:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Cc: patches@linaro.org
Subject: Please add multiarch support to libsdl
Date: Thu, 4 Aug 2011 17:27:18 +0300
[Message part 1 (text/plain, inline)]
Package: libsdl1.2debian
Version: 1.2.14-6.4
Severity: wishlist
User: debian-dpkg@lists.debian.org
Usertags: multiarch
Tags: patch

The following patch adds multiarch support for libsdl1.2. It requires the following changes:

- debian/control changes (Multi-Arch: same and debhelper reqirement update)
- move libs to /usr/lib/$DEB_HOST_MULTIARCH/
- install a /usr/bin/sdl-config wrapper that calls /usr/lib/$DEB_HOST_MULTIARCH/sdl-config

last is needed to support crosscompiling (so that /usr/bin/sdl-config is same on all archs,
allowing Multi-Arch: same setting for the -dev package).

See the following page for details:

http://wiki.debian.org/Multiarch/Implementation
 
[sdl-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Thu, 04 Aug 2011 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Thu, 04 Aug 2011 14:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 636605@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 636605@bugs.debian.org, patches@linaro.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Thu, 04 Aug 2011 16:47:06 +0200
On 2011-08-04 16:27 +0200, Riku Voipio wrote:

> The following patch adds multiarch support for libsdl1.2. It requires the following changes:
>
> - debian/control changes (Multi-Arch: same and debhelper reqirement update)
> - move libs to /usr/lib/$DEB_HOST_MULTIARCH/
> - install a /usr/bin/sdl-config wrapper that calls /usr/lib/$DEB_HOST_MULTIARCH/sdl-config
>
> last is needed to support crosscompiling (so that /usr/bin/sdl-config is same on all archs,
> allowing Multi-Arch: same setting for the -dev package).

There is a little problem with the latter, namely…

> @@ -0,0 +1,5 @@
> +#!/bin/sh
> +# Generic multiarch wrapper for sdl-config
> +# Copyright (c) 2011 Riku Voipio <riku.voipio@linaro.org>
> +
> +/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/sdl/sdl-config "$@"

…it requires dpkg-dev (1.16.0 or later due to DEB_HOST_MULTIARCH) for
dpkg-architecture.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Fri, 05 Aug 2011 09:33:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Fri, 05 Aug 2011 09:33:27 GMT) Full text and rfc822 format available.

Message #15 received at 636605@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 636605@bugs.debian.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Fri, 5 Aug 2011 12:31:33 +0300
On Thu, Aug 04, 2011 at 04:47:06PM +0200, Sven Joachim wrote:
> > last is needed to support crosscompiling (so that /usr/bin/sdl-config is same on all archs,
> > allowing Multi-Arch: same setting for the -dev package).
> 
> There is a little problem with the latter, namely…

> …it requires dpkg-dev (1.16.0 or later due to DEB_HOST_MULTIARCH) for
> dpkg-architecture.

Easily fixed on the attached patch.

Other changes in the new patch, dpkg build-dep replaced with dpkg-dev >= 1.16.0
since DEB_HOST_MULTIARCH is used in rules as well. Missing Pre-Depends: added so that
multiarch-support is predepended when needed.

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Sat, 06 Aug 2011 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sat, 06 Aug 2011 07:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 636605@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 636605@bugs.debian.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Sat, 06 Aug 2011 09:30:32 +0200
On 2011-08-05 11:31 +0200, Riku Voipio wrote:

> On Thu, Aug 04, 2011 at 04:47:06PM +0200, Sven Joachim wrote:
>> > last is needed to support crosscompiling (so that /usr/bin/sdl-config is same on all archs,
>> > allowing Multi-Arch: same setting for the -dev package).
>> 
>> There is a little problem with the latter, namely…
>
>> …it requires dpkg-dev (1.16.0 or later due to DEB_HOST_MULTIARCH) for
>> dpkg-architecture.
>
> Easily fixed on the attached patch.

It seems you forgot to actually attach the patch.

I'm not sure that having libfoo-dev packages depend on dpkg-dev is
desirable, although this currently seems to be the only way to retrieve
the multiarch path.  Since there are many foo-config scripts in the
archive, maybe this should be discussed with a broader audience,
i.e. debian-devel?  See also http://bugs.debian.org/636352.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Sun, 07 Aug 2011 15:03:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sun, 07 Aug 2011 15:03:24 GMT) Full text and rfc822 format available.

Message #25 received at 636605@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 636605@bugs.debian.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Sun, 7 Aug 2011 17:59:27 +0300
[Message part 1 (text/plain, inline)]
On Sat, Aug 06, 2011 at 09:30:32AM +0200, Sven Joachim wrote:
> On 2011-08-05 11:31 +0200, Riku Voipio wrote:
> 
> > On Thu, Aug 04, 2011 at 04:47:06PM +0200, Sven Joachim wrote:
> >> > last is needed to support crosscompiling (so that /usr/bin/sdl-config is same on all archs,
> >> > allowing Multi-Arch: same setting for the -dev package).
> >> 
> >> There is a little problem with the latter, namely…
> >
> >> …it requires dpkg-dev (1.16.0 or later due to DEB_HOST_MULTIARCH) for
> >> dpkg-architecture.
> >
> > Easily fixed on the attached patch.
> 
> It seems you forgot to actually attach the patch.

lets try attaching again...
 
> I'm not sure that having libfoo-dev packages depend on dpkg-dev is
> desirable, although this currently seems to be the only way to retrieve
> the multiarch path.  Since there are many foo-config scripts in the
> archive, maybe this should be discussed with a broader audience,
> i.e. debian-devel?  

Mmm.. what would exactly be the question for debian-devel? Also, my in
experience posting to d-d rarely results useful responses. 

> See also http://bugs.debian.org/636352.

That is a bit different, I can understand that not everyone wants dpkg-dev
to build initramfs-tools. But for -dev packages dpkg-dev is most likely already
installed via build-essential. The only ones who would get an extra package install
are those who want to build sdl apps without debian packaging.

Riku

[sdl-multiarch2.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Sun, 04 Dec 2011 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sun, 04 Dec 2011 21:27:05 GMT) Full text and rfc822 format available.

Message #30 received at 636605@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: 636605@bugs.debian.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Sun, 4 Dec 2011 13:26:13 -0800
i went to look at multi-archifying this package, and lo and behold, there's a 
standing patch... so i tested it. still seems to apply and build with 
1.2.14-6.4... and far as i can tell, works.

are there other outstanding issues that still need to be resolved?

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Sun, 04 Dec 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <debfx-pkg@fobos.de>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sun, 04 Dec 2011 21:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 636605@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: Vagrant Cascadian <vagrant@debian.org>, 636605@bugs.debian.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Sun, 04 Dec 2011 22:42:34 +0100
On 04.12.2011 22:26, Vagrant Cascadian wrote:
> i went to look at multi-archifying this package, and lo and behold, there's a 
> standing patch... so i tested it. still seems to apply and build with 
> 1.2.14-6.4... and far as i can tell, works.
>
> are there other outstanding issues that still need to be resolved?

Yes, there are a few packages that reference libsdl1.2's .la file.
Converting libsdl1.2 for multiarch means changing the location of the
.la file so those packages should be fixed first.

I have already attached patches to the bug reports:
http://bugs.debian.org/633185
http://bugs.debian.org/633328
http://bugs.debian.org/633230

sdl-stretch is maintained by pkg-sdl and fixed in the git repository:
http://bugs.debian.org/633367

Felix




Added blocking bug(s) of 636605: 633328, 633185, and 633230 Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Mon, 05 Dec 2011 13:45:18 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 636605: 633367 Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Mon, 05 Dec 2011 13:45:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#636605; Package libsdl1.2debian. (Wed, 14 Dec 2011 11:22:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <debfx-pkg@fobos.de>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Wed, 14 Dec 2011 11:22:47 GMT) Full text and rfc822 format available.

Message #44 received at 636605@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: 636605@bugs.debian.org
Subject: Re: Bug#636605: Please add multiarch support to libsdl
Date: Wed, 14 Dec 2011 12:16:06 +0100
tags 636605 pending
thanks

I have converted libsdl1.2 to multiarch in the new packaging git repository:
http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl1.2.git;a=commit;h=1478f5b606907e406faae95bc19edd1d3164fbf6

However I left the -dev package as it is since we don't seem to have a
proper way to handle *-config binaries and my guess is that many of the
build-dependencies are not multi-arch: same anyway.





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 19:06:20 GMT) Full text and rfc822 format available.

Reply sent to Felix Geyer <debfx-pkg@fobos.de>:
You have taken responsibility. (Tue, 10 Jan 2012 16:54:25 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Tue, 10 Jan 2012 16:54:25 GMT) Full text and rfc822 format available.

Message #51 received at 636605-close@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: 636605-close@bugs.debian.org
Subject: Bug#636605: fixed in libsdl1.2 1.2.14-7
Date: Tue, 10 Jan 2012 16:52:31 +0000
Source: libsdl1.2
Source-Version: 1.2.14-7

We believe that the bug you reported is fixed in the latest version of
libsdl1.2, which is due to be installed in the Debian FTP archive:

libsdl1.2-dbg_1.2.14-7_amd64.deb
  to main/libs/libsdl1.2/libsdl1.2-dbg_1.2.14-7_amd64.deb
libsdl1.2-dev_1.2.14-7_amd64.deb
  to main/libs/libsdl1.2/libsdl1.2-dev_1.2.14-7_amd64.deb
libsdl1.2_1.2.14-7.debian.tar.gz
  to main/libs/libsdl1.2/libsdl1.2_1.2.14-7.debian.tar.gz
libsdl1.2_1.2.14-7.dsc
  to main/libs/libsdl1.2/libsdl1.2_1.2.14-7.dsc
libsdl1.2debian-udeb_1.2.14-7_amd64.udeb
  to main/libs/libsdl1.2/libsdl1.2debian-udeb_1.2.14-7_amd64.udeb
libsdl1.2debian_1.2.14-7_amd64.deb
  to main/libs/libsdl1.2/libsdl1.2debian_1.2.14-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636605@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Geyer <debfx-pkg@fobos.de> (supplier of updated libsdl1.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jan 2012 18:33:39 +0100
Source: libsdl1.2
Binary: libsdl1.2debian libsdl1.2debian-udeb libsdl1.2-dev libsdl1.2-dbg
Architecture: source amd64
Version: 1.2.14-7
Distribution: unstable
Urgency: low
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Changed-By: Felix Geyer <debfx-pkg@fobos.de>
Description: 
 libsdl1.2-dbg - Simple DirectMedia Layer debug files
 libsdl1.2-dev - Simple DirectMedia Layer development files
 libsdl1.2debian - Simple DirectMedia Layer
 libsdl1.2debian-udeb - Simple DirectMedia Layer (with directfb graphics and no sound) (udeb)
Closes: 600292 615902 626048 636605 644908
Changes: 
 libsdl1.2 (1.2.14-7) unstable; urgency=low
 .
   [ Felix Geyer ]
   * Remove all patches that were disabled.
   * Switch to source format 3.0 (quilt).
   * Simplify debian/rules by using dh(1).
   * Drop ancient Conflicts/Replaces.
   * Disable the PlayStation 3 Cell driver on ppc64. (Closes: #644908)
   * Update Vcs control fields to the new git repository. (Closes: #615902)
   * Drop sequence numbers from the patch filenames.
   * Fix: SDL_BlitCopyOverlap() copies data between overlapping bitmaps.
     (Closes: #626048)
     - Add sdlblit_memcpy_fix.diff, cherry-picked from upstream.
   * Set _NET_WM_PID property in X11 windows which is used by GNOME Shell and the
     Unity desktop.
     - Add x11_add_support_NET_WM_PID.diff from Ubuntu / Marco Trevisan.
   * Bump Standards-Version to 3.9.2, no further changes necessary.
   * Override package-name-doesnt-match-sonames lintian warning.
   * Add a debug package. (Closes: #600292)
   * Add myself as uploader.
   * Switch to debhelper compat level v9.
     - Convert to multiarch. (Closes: #636605)
     - Exports hardening build flags.
   * Remove the .la file.
 .
   [ Dominique Dumont ]
   * control: replaced XC-Package-Type with Package-Type tag
   * added missing lintian overrides.
Checksums-Sha1: 
 542e57c279931db8ba8d6216d1dc7d4ed702f7a7 2434 libsdl1.2_1.2.14-7.dsc
 1e736025e3888f7a34d4beb1804c6aa1f245197a 246394 libsdl1.2_1.2.14-7.debian.tar.gz
 90aa818e496685f88f20bae699c114674f311ecd 222484 libsdl1.2debian_1.2.14-7_amd64.deb
 827f995f4799b5bbb1bf756ba18d673d524096a5 118432 libsdl1.2debian-udeb_1.2.14-7_amd64.udeb
 bb4a14a11e12969abb5e5f57d246c54bf93cb0ce 862366 libsdl1.2-dev_1.2.14-7_amd64.deb
 e283ce1102bd5d5a4a78d3532ca330f8d3387bf9 1000896 libsdl1.2-dbg_1.2.14-7_amd64.deb
Checksums-Sha256: 
 20572740ba83c28ef99bf6155aca1c2aa298f2c8958e602ca062063c8bc3945f 2434 libsdl1.2_1.2.14-7.dsc
 827f02ad124a686464c45a762b38df7220bb50a324aed3a5a681c4cb0e6165da 246394 libsdl1.2_1.2.14-7.debian.tar.gz
 1d8f3f5c124743b869b771ceb07f763043d7807a8b561b780bb08a3fd38c575f 222484 libsdl1.2debian_1.2.14-7_amd64.deb
 ff6b0ebec5e89660de69b1cec40d77521ca35be73d7988bca5c7eef421498318 118432 libsdl1.2debian-udeb_1.2.14-7_amd64.udeb
 a41e299aae2003d944b707078066b52fca24200d658df5e76dabf90f0ec5f519 862366 libsdl1.2-dev_1.2.14-7_amd64.deb
 9daaeccf7dabac072cc968d5f4a06d3c298544cb80330221781841d1a8f11876 1000896 libsdl1.2-dbg_1.2.14-7_amd64.deb
Files: 
 9545dce82eb0c72c3736b8b40f3289bc 2434 libs optional libsdl1.2_1.2.14-7.dsc
 96455d9f3bf9167a2d4f73439f475972 246394 libs optional libsdl1.2_1.2.14-7.debian.tar.gz
 259d4bf78baef76bf15330be037e33d6 222484 libs optional libsdl1.2debian_1.2.14-7_amd64.deb
 d467c95641ae1d57b3601d25ff98aeb6 118432 debian-installer extra libsdl1.2debian-udeb_1.2.14-7_amd64.udeb
 baa51221cf35d34ea4132cd338820dfb 862366 libdevel optional libsdl1.2-dev_1.2.14-7_amd64.deb
 89155accd8be47ae5cf5a1de192c64c8 1000896 debug extra libsdl1.2-dbg_1.2.14-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPCuUNAAoJEMMfT9lJqyts3PQP/2AlegXPYMX8ERTuj6DdlGJr
YavD+rembEEmePJ34EFBENKuEXOCNrOmetBL4r+hhohsj8H4LkBU77EwNKG5JgG5
uebKT6GGIJ0Hekol9LNvfVPZeQwV2wk+mmCRwWirPluYpKU67bW+sulnYP3p/LgS
RRzN+BWyJ1A7zLT610DVxoN9bO0htpW8S8oXaAlMd3JOHLpaiEbLNc7OfEZ6TMO7
ZwPwDufd376+jhi1oBM0MPn8BxkOZBLPbw+8Qt/9wNpyLuAS8yhD2cBY/yDYPp6E
Yv/s4dLxQAxokiXqCwA+PLSXSnjMv9Q+3IcIFNwpn9zHAoWIFWWod6p9xfoyEMtA
Hy+ZeFBu5FS0EFEpnzOwlaT+jp4yLnW6M/YG9AD0MrllCCk/Uh8BV3/TfwH3G8tX
TNyui4ucowz50B94aj/GbQRJEGZ0W/fQkXXAUh/qwxtoT1sMe2SpMA4ZFGpl8NTA
liZcIlrk0k2PjMtcwm9t3zKOBBa0OGD1YP0TdkLQkXEImZGZZRdcIeT3fO5iYdgx
34yN/FpghiBfXb+eIumoXytlW5BVYefDCALFu0/cd2Vf6eFIBx/j/xOfS6oWA4xC
Z8NsQUaTyYIEYDmJqiyNMCnIDL4vhGff4t7oek4rpMVzqyWcMaXgNiZ+CAtFIidC
oxgLqKModOZEOImsMhSd
=oMAX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Feb 2012 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:14:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.